Host Datastore System Resolve Nfs Server Host Name

Host Datastore System Resolve Nfs Server Host Name
Resolves hostname of the NFS server.

Resolves hostname of the NFS server.

For NFSv3, if volume name is given, then only the IP address of this volume is updated. Otherwise, IP addresses of all the volumes mounted with the hostname are updated. For NFSv4, irrespective of volume name, IP addresses of all the volumes which are mounted with this hostname are updated.

Since: vSphere API Release 9.1.0.0

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/ResolveNfsServerHostName
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostDatastoreSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ResolveNfsServerHostNameRequestType of type(s) application/json
Required

Show optional properties

{
    "hostName": "string"
}
{
    "hostName": "string",
    "volumeName": "string",
    "force": false,
    "isNFS41": false
}
string
hostName
Required

Host name of the NFS server.

string
volumeName
Optional

Volume name of the NFS file system.

boolean
force
Optional

Flag for forced resolution of the host name of the NFS server, even if the volumes are not in APD state. If unset, force flag will be treated as false.

boolean
isNFS41
Optional

Indicates whether host name is resolved for NFSv41 file system. If unset, host name is resolved for NFSv3 file system.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

PlatformConfigFault: if remote host name resolution fails for the NFS server.

Returns PlatformConfigFault of type(s) application/json
This response body class contains all of the following: HostConfigFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ],
    "text": "string"
}
string
text
Required

Platform specific text string describing this error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"hostName":"string"}' https://{api_host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/ResolveNfsServerHostName